package fr.eni.enchere.dal;

import fr.eni.enchere.bo.Article;
import fr.eni.enchere.bo.SearchArticleCritere;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;

import java.util.List;

public interface ArticleRepository {
    List<Article> findAllArticle();
    List<Article> findByUser(int id);
    Page<Article> searchArticlePageable(SearchArticleCritere critere, Pageable pageable);
    Article findArticleById(int id);
    List<Article> findArticleByTitle(String title);
    int saveArticle(Article article);
    void deleteArticle(int id);
    int updateArticle(Article article);
    void setSellPrice(int id, float sellPrice);
}
